Modul:Location map/styles.css

Izvor: Hrvatska internetska enciklopedija
Prijeđi na navigaciju Prijeđi na pretraživanje

/* {{[[Predložak:{{{1}}}|{{{1}}}]]}} */ .locmap .od { position: absolute; }

.locmap .id { position: absolute; line-height: 0; }

.locmap .l0 { font-size: 0; position: absolute; }

.locmap .pv { line-height: 110%; position: absolute; text-align: center; }

.locmap .pl { line-height: 110%; position: absolute; top: -0.75em; text-align: right; }

.locmap .pr { line-height: 110%; position: absolute; top: -0.75em; text-align: left; }

.locmap .pv > div { display: inline; padding: 1px; }

.locmap .pl > div { display: inline; /* inline does not impact floated elements */ padding: 1px; float: right; }

.locmap .pr > div { display: inline; /* inline does not impact floated elements */ padding: 1px; float: left; }

/* Dark mode theme: */

@media screen {

   html.skin-theme-clientpref-night .od,

html.skin-theme-clientpref-night .od .pv > div, html.skin-theme-clientpref-night .od .pl > div, html.skin-theme-clientpref-night .od .pr > div { background: #000; color: #fff; }

html.skin-theme-clientpref-night .locmap { filter: grayscale(0.6); } }


@media screen and ( prefers-color-scheme: dark) {

 html.skin-theme-clientpref-os .locmap {
   filter: grayscale(0.6);
 }
 html.skin-theme-clientpref-os .od,
 html.skin-theme-clientpref-os .od .pv > div,
 html.skin-theme-clientpref-os .od .pl > div,
 html.skin-theme-clientpref-os .od .pr > div {
   background: #000;
   color: #fff;
 }

}